HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTransfers

Contains the different functions to run the operation getTransfers

  • 5 types
  • 4 values
valuegetTransfers
  1. :: MonadHTTP m
  2. => GetTransfersParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTransfersResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/transfers

<p>Returns a list of existing transfers sent to connected accounts. The transfers are returned in sorted order, with the most recently created transfers appearing first.</p>

Defines the object schema located at paths./v1/transfers.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/transfers.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/transfers.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON
datadata GetTransfersResponse
#

Represents a response of the operation getTransfers.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTransfersResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/transfers.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON